1
0
Fork 0
Browse Source

create virtual environment.

pull/1/head
Craig Oates 4 years ago
parent
commit
c1f174f828
  1. 76
      proj-env/bin/activate
  2. 37
      proj-env/bin/activate.csh
  3. 75
      proj-env/bin/activate.fish
  4. 10
      proj-env/bin/easy_install
  5. 10
      proj-env/bin/easy_install-3.7
  6. 10
      proj-env/bin/pip
  7. 10
      proj-env/bin/pip3
  8. 10
      proj-env/bin/pip3.7
  9. 1
      proj-env/bin/python
  10. 1
      proj-env/bin/python3
  11. 1
      proj-env/lib64
  12. 3
      proj-env/pyvenv.cfg
  13. BIN
      proj-env/share/python-wheels/CacheControl-0.11.7-py2.py3-none-any.whl
  14. BIN
      proj-env/share/python-wheels/appdirs-1.4.3-py2.py3-none-any.whl
  15. BIN
      proj-env/share/python-wheels/certifi-2018.8.24-py2.py3-none-any.whl
  16. BIN
      proj-env/share/python-wheels/chardet-3.0.4-py2.py3-none-any.whl
  17. BIN
      proj-env/share/python-wheels/colorama-0.3.7-py2.py3-none-any.whl
  18. BIN
      proj-env/share/python-wheels/distlib-0.2.8-py2.py3-none-any.whl
  19. BIN
      proj-env/share/python-wheels/distro-1.3.0-py2.py3-none-any.whl
  20. BIN
      proj-env/share/python-wheels/html5lib-1.0.1-py2.py3-none-any.whl
  21. BIN
      proj-env/share/python-wheels/idna-2.6-py2.py3-none-any.whl
  22. BIN
      proj-env/share/python-wheels/ipaddress-0.0.0-py2.py3-none-any.whl
  23. BIN
      proj-env/share/python-wheels/lockfile-0.12.2-py2.py3-none-any.whl
  24. BIN
      proj-env/share/python-wheels/packaging-19.0-py2.py3-none-any.whl
  25. BIN
      proj-env/share/python-wheels/pip-18.1-py2.py3-none-any.whl
  26. BIN
      proj-env/share/python-wheels/pkg_resources-0.0.0-py2.py3-none-any.whl
  27. BIN
      proj-env/share/python-wheels/progress-1.2-py2.py3-none-any.whl
  28. BIN
      proj-env/share/python-wheels/pyparsing-2.2.0-py2.py3-none-any.whl
  29. BIN
      proj-env/share/python-wheels/pytoml-0.1.2-py2.py3-none-any.whl
  30. BIN
      proj-env/share/python-wheels/requests-2.21.0-py2.py3-none-any.whl
  31. BIN
      proj-env/share/python-wheels/retrying-1.3.3-py2.py3-none-any.whl
  32. BIN
      proj-env/share/python-wheels/setuptools-40.8.0-py2.py3-none-any.whl
  33. BIN
      proj-env/share/python-wheels/six-1.12.0-py2.py3-none-any.whl
  34. BIN
      proj-env/share/python-wheels/urllib3-1.24.1-py2.py3-none-any.whl
  35. BIN
      proj-env/share/python-wheels/webencodings-0.5.1-py2.py3-none-any.whl
  36. BIN
      proj-env/share/python-wheels/wheel-0.32.3-py2.py3-none-any.whl

76
proj-env/bin/activate vendored

@ -0,0 +1,76 @@
# This file must be used with "source bin/activate" *from bash*
# you cannot run it directly
deactivate () {
# reset old environment variables
if [ -n "${_OLD_VIRTUAL_PATH:-}" ] ; then
PATH="${_OLD_VIRTUAL_PATH:-}"
export PATH
unset _OLD_VIRTUAL_PATH
fi
if [ -n "${_OLD_VIRTUAL_PYTHONHOME:-}" ] ; then
PYTHONHOME="${_OLD_VIRTUAL_PYTHONHOME:-}"
export PYTHONHOME
unset _OLD_VIRTUAL_PYTHONHOME
fi
# This should detect bash and zsh, which have a hash command that must
# be called to get it to forget past commands. Without forgetting
# past commands the $PATH changes we made may not be respected
if [ -n "${BASH:-}" -o -n "${ZSH_VERSION:-}" ] ; then
hash -r
fi
if [ -n "${_OLD_VIRTUAL_PS1:-}" ] ; then
PS1="${_OLD_VIRTUAL_PS1:-}"
export PS1
unset _OLD_VIRTUAL_PS1
fi
unset VIRTUAL_ENV
if [ ! "$1" = "nondestructive" ] ; then
# Self destruct!
unset -f deactivate
fi
}
# unset irrelevant variables
deactivate nondestructive
VIRTUAL_ENV="/mnt/dev-shed/midpoint/proj-env"
export VIRTUAL_ENV
_OLD_VIRTUAL_PATH="$PATH"
PATH="$VIRTUAL_ENV/bin:$PATH"
export PATH
# unset PYTHONHOME if set
# this will fail if PYTHONHOME is set to the empty string (which is bad anyway)
# could use `if (set -u; : $PYTHONHOME) ;` in bash
if [ -n "${PYTHONHOME:-}" ] ; then
_OLD_VIRTUAL_PYTHONHOME="${PYTHONHOME:-}"
unset PYTHONHOME
fi
if [ -z "${VIRTUAL_ENV_DISABLE_PROMPT:-}" ] ; then
_OLD_VIRTUAL_PS1="${PS1:-}"
if [ "x(proj-env) " != x ] ; then
PS1="(proj-env) ${PS1:-}"
else
if [ "`basename \"$VIRTUAL_ENV\"`" = "__" ] ; then
# special case for Aspen magic directories
# see http://www.zetadev.com/software/aspen/
PS1="[`basename \`dirname \"$VIRTUAL_ENV\"\``] $PS1"
else
PS1="(`basename \"$VIRTUAL_ENV\"`)$PS1"
fi
fi
export PS1
fi
# This should detect bash and zsh, which have a hash command that must
# be called to get it to forget past commands. Without forgetting
# past commands the $PATH changes we made may not be respected
if [ -n "${BASH:-}" -o -n "${ZSH_VERSION:-}" ] ; then
hash -r
fi

37
proj-env/bin/activate.csh vendored

@ -0,0 +1,37 @@
# This file must be used with "source bin/activate.csh" *from csh*.
# You cannot run it directly.
# Created by Davide Di Blasi <davidedb@gmail.com>.
# Ported to Python 3.3 venv by Andrew Svetlov <andrew.svetlov@gmail.com>
alias deactivate 'test $?_OLD_VIRTUAL_PATH != 0 && setenv PATH "$_OLD_VIRTUAL_PATH" && unset _OLD_VIRTUAL_PATH; rehash; test $?_OLD_VIRTUAL_PROMPT != 0 && set prompt="$_OLD_VIRTUAL_PROMPT" && unset _OLD_VIRTUAL_PROMPT; unsetenv VIRTUAL_ENV; test "\!:*" != "nondestructive" && unalias deactivate'
# Unset irrelevant variables.
deactivate nondestructive
setenv VIRTUAL_ENV "/mnt/dev-shed/midpoint/proj-env"
set _OLD_VIRTUAL_PATH="$PATH"
setenv PATH "$VIRTUAL_ENV/bin:$PATH"
set _OLD_VIRTUAL_PROMPT="$prompt"
if (! "$?VIRTUAL_ENV_DISABLE_PROMPT") then
if ("proj-env" != "") then
set env_name = "proj-env"
else
if (`basename "VIRTUAL_ENV"` == "__") then
# special case for Aspen magic directories
# see http://www.zetadev.com/software/aspen/
set env_name = `basename \`dirname "$VIRTUAL_ENV"\``
else
set env_name = `basename "$VIRTUAL_ENV"`
endif
endif
set prompt = "[$env_name] $prompt"
unset env_name
endif
alias pydoc python -m pydoc
rehash

75
proj-env/bin/activate.fish vendored

@ -0,0 +1,75 @@
# This file must be used with ". bin/activate.fish" *from fish* (http://fishshell.org)
# you cannot run it directly
function deactivate -d "Exit virtualenv and return to normal shell environment"
# reset old environment variables
if test -n "$_OLD_VIRTUAL_PATH"
set -gx PATH $_OLD_VIRTUAL_PATH
set -e _OLD_VIRTUAL_PATH
end
if test -n "$_OLD_VIRTUAL_PYTHONHOME"
set -gx PYTHONHOME $_OLD_VIRTUAL_PYTHONHOME
set -e _OLD_VIRTUAL_PYTHONHOME
end
if test -n "$_OLD_FISH_PROMPT_OVERRIDE"
functions -e fish_prompt
set -e _OLD_FISH_PROMPT_OVERRIDE
functions -c _old_fish_prompt fish_prompt
functions -e _old_fish_prompt
end
set -e VIRTUAL_ENV
if test "$argv[1]" != "nondestructive"
# Self destruct!
functions -e deactivate
end
end
# unset irrelevant variables
deactivate nondestructive
set -gx VIRTUAL_ENV "/mnt/dev-shed/midpoint/proj-env"
set -gx _OLD_VIRTUAL_PATH $PATH
set -gx PATH "$VIRTUAL_ENV/bin" $PATH
# unset PYTHONHOME if set
if set -q PYTHONHOME
set -gx _OLD_VIRTUAL_PYTHONHOME $PYTHONHOME
set -e PYTHONHOME
end
if test -z "$VIRTUAL_ENV_DISABLE_PROMPT"
# fish uses a function instead of an env var to generate the prompt.
# save the current fish_prompt function as the function _old_fish_prompt
functions -c fish_prompt _old_fish_prompt
# with the original prompt function renamed, we can override with our own.
function fish_prompt
# Save the return status of the last command
set -l old_status $status
# Prompt override?
if test -n "(proj-env) "
printf "%s%s" "(proj-env) " (set_color normal)
else
# ...Otherwise, prepend env
set -l _checkbase (basename "$VIRTUAL_ENV")
if test $_checkbase = "__"
# special case for Aspen magic directories
# see http://www.zetadev.com/software/aspen/
printf "%s[%s]%s " (set_color -b blue white) (basename (dirname "$VIRTUAL_ENV")) (set_color normal)
else
printf "%s(%s)%s" (set_color -b blue white) (basename "$VIRTUAL_ENV") (set_color normal)
end
end
# Restore the return status of the previous command.
echo "exit $old_status" | .
_old_fish_prompt
end
set -gx _OLD_FISH_PROMPT_OVERRIDE "$VIRTUAL_ENV"
end

10
proj-env/bin/easy_install vendored

@ -0,0 +1,10 @@
#!/mnt/dev-shed/midpoint/proj-env/bin/python3
# -*- coding: utf-8 -*-
import re
import sys
from setuptools.command.easy_install import main
if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(main())

10
proj-env/bin/easy_install-3.7 vendored

@ -0,0 +1,10 @@
#!/mnt/dev-shed/midpoint/proj-env/bin/python3
# -*- coding: utf-8 -*-
import re
import sys
from setuptools.command.easy_install import main
if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(main())

10
proj-env/bin/pip vendored

@ -0,0 +1,10 @@
#!/mnt/dev-shed/midpoint/proj-env/bin/python3
# -*- coding: utf-8 -*-
import re
import sys
from pip._internal import main
if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(main())

10
proj-env/bin/pip3 vendored

@ -0,0 +1,10 @@
#!/mnt/dev-shed/midpoint/proj-env/bin/python3
# -*- coding: utf-8 -*-
import re
import sys
from pip._internal import main
if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(main())

10
proj-env/bin/pip3.7 vendored

@ -0,0 +1,10 @@
#!/mnt/dev-shed/midpoint/proj-env/bin/python3
# -*- coding: utf-8 -*-
import re
import sys
from pip._internal import main
if __name__ == '__main__':
sys.argv[0] = re.sub(r'(-script\.pyw?|\.exe)?$', '', sys.argv[0])
sys.exit(main())

1
proj-env/bin/python vendored

@ -0,0 +1 @@
python3

1
proj-env/bin/python3 vendored

@ -0,0 +1 @@
/usr/bin/python3

1
proj-env/lib64 vendored

@ -0,0 +1 @@
lib

3
proj-env/pyvenv.cfg vendored

@ -0,0 +1,3 @@
home = /usr/bin
include-system-site-packages = false
version = 3.7.3

BIN
proj-env/share/python-wheels/CacheControl-0.11.7-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/appdirs-1.4.3-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/certifi-2018.8.24-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/chardet-3.0.4-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/colorama-0.3.7-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/distlib-0.2.8-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/distro-1.3.0-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/html5lib-1.0.1-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/idna-2.6-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/ipaddress-0.0.0-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/lockfile-0.12.2-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/packaging-19.0-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/pip-18.1-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/pkg_resources-0.0.0-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/progress-1.2-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/pyparsing-2.2.0-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/pytoml-0.1.2-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/requests-2.21.0-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/retrying-1.3.3-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/setuptools-40.8.0-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/six-1.12.0-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/urllib3-1.24.1-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/webencodings-0.5.1-py2.py3-none-any.whl vendored

Binary file not shown.

BIN
proj-env/share/python-wheels/wheel-0.32.3-py2.py3-none-any.whl vendored

Binary file not shown.